#ifndef PROCESSCOPYDISK_H
#define PROCESSCOPYDISK_H

#include "src/process/processbasic.h"
#include "src/frame/auditlog.h"
#include <QGSettings/QGSettings>
class ProcessCopyDisk : public ProcessBasic
{
    Q_OBJECT
public:
    ProcessCopyDisk(void *, void *, QObject *parent = nullptr);
    ~ProcessCopyDisk();
protected:
    bool prepare();
protected slots:
    void slotsStart(){}
    void slotsOutput();
    void slotsError();
    void slotsFinished(int, QProcess::ExitStatus);
private:
    int       m_iProgress;
    double    m_fSpeed;
    void     *m_oSource;
    void     *m_oDestination;
    QString   m_oCdrecord;
    QString   m_oMkisofs;
    QGSettings *auditburner;
    QString auditlogpath;
};

#endif // PROCESSCOPYDISK_H
